Package com.google.javascript.jscomp.parsing

# Class ParserRunner.ParseResult

java.lang.Object
com.google.javascript.jscomp.parsing.ParserRunner.ParseResult

Enclosing class:
  `ParserRunner`

public static class ParserRunner.ParseResult extends Object
Holds results of parsing. Includes both ast formats.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Node`
`ast`
`final com.google.javascript.rhino.head.ast.AstRoot`
`oldAst`

## Constructor Summary

Constructors
Constructor
Description
`ParseResult(Node ast, com.google.javascript.rhino.head.ast.AstRoot oldAst)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ast

public final Node ast

### oldAst

public final com.google.javascript.rhino.head.ast.AstRoot oldAst

## Constructor Details

### ParseResult

public ParseResult(Node ast, com.google.javascript.rhino.head.ast.AstRoot oldAst)